textures/scastle1_sfx/desert_sky
{
	qer_editorimage env/scastle1/desertsky_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 0.934 0.835 1.00 75 230 35
	q3map_surfacelight 2000
	skyparms env/scastle1/desertsky - -
}

textures/scastle1_sfx/algiers_skybox
{
	qer_editorimage env/algiers/algierssky_bk.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19  30 70
	//q3map_sun .5 .37 .19 70 170 40
	q3map_sun .5 .5 .5 110 130 55
	//q3map_surfacelight 80
	q3map_surfacelight 5000

        skyparms env/algiers/algierssky - -
	
}

textures/scastle1_sfx/ladderclip
{
        qer_editorimage textures/scastle1/ladderclip.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

models/mapobjects/tree/tree
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/tree/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/scastle1/wood_nf:q3map
{
	surfaceparm nodamage
}

textures/scastle1/veg_nf:q3map
{
	surfaceparm nodamage
}

textures/scastle1_sfx/bst_flag
{
	qer_editorimage textures/scastle1/bstlogo2_512_512.tga
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/scastle1/bstlogo2_512_512.tga
		rgbGen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/scastle1/bstlogo2_512_512.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/scastle1/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/scastle1_sfx/bst_flag_rv
{
	qer_editorimage textures/scastle1/bstlogo2_512_512_rv.tga
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/scastle1/bstlogo2_512_512_rv.tga
		rgbGen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/scastle1/bstlogo2_512_512_rv.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/scastle1/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}
